-- ֱӦ
local MissionIni = {
-- servertype
-- ͨ
    [0] = "ini/Questinfo.ini",
-- 
    [16] = "ini/QuestinfoPassionServer.ini",
}

local function GetMissionIni(index, default)
    local res = MissionIni[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local function IsNeedCheckLook(look, default)
	if (look == 5 or look == 6 or look == 7 or look == 8) then
		return true
	end

	return false
end

-- ̵Ϣ
local T_RebateInfo = {
    -- ̵Ʒ
    costType=3322775,
    -- ̵npc
    npcID=24702,
    -- ˢҪĳʼֵ
    cost_value=1,
    -- ÿˢµۼֵ
    cost_inc=5,
    -- ˢ
    cost_limit=100,
    -- ˢӳ
    refreshDelay = 2,
}

-- ȡϢ
local function GetRebateInfo(key, default)
	local ret = T_RebateInfo[key]

	if (ret ~= nil) then
		return ret
	end
	
	return default
end

-- ̵ϵȼʶϢ
local RebateProInfo = {
    num = 8,
    [1] = { ani = "Xinshop_green", x = 120, y = 438 },
	[2] = { ani = "Xinshop_Red", x = 121, y = 438 },
	[3] = { ani = "Xinshop_Red", x = 122, y = 438 },
	[4] = { ani = "Xinshop_Red", x = 126, y = 438 },
	[5] = { ani = "Xinshop_Red", x = 135, y = 438 },
	[6] = { ani = "Xinshop_Red", x = 164, y = 438 },
	[7] = { ani = "Xinshop_Red", x = 253, y = 438 },
	[8] = { ani = "Xinshop_yellow", x = 430, y = 438 },
   
    
}

local function GetRebateProInfo(index, key, default)
    if index > RebateProInfo["num"] then
        return default
    end
    
    if RebateProInfo[index][key] == nil then
        return default
    end
    
    return RebateProInfo[index][key]
end

-- ȡˢҪķ
local function GetRebateRefreshCost(times)
	local cost = T_RebateInfo.cost_value + times * T_RebateInfo.cost_inc

	if (cost > T_RebateInfo.cost_limit) then
		cost = T_RebateInfo.cost_limit
	end

	return cost
end

local T_DlgInfo = {
-- װ
[135] = {
    -- ťÿӦתǶ
    RotateAngle=10,
},
-- ¹
[741] = {
    -- ťÿӦתǶ
    RotateAngle=10,
	-- תǶ
    MountRotate=-50,
},
-- ʵа
[808] = {
	-- תǶ
    MountRotate=-50,
},
}

local function GetDlgInfo(idd, key, default)
    local tInfo = T_DlgInfo[idd]

    if (tInfo ~= nil) then
        local ret = tInfo[key]

        if (ret ~= nil) then
            return ret
        end
    end

    return default
end

local function GetRotateAngle(idd, angle, beginX, curX)
    return math.ceil((angle + ((curX - beginX) / 80 * 180)) % 360)
end

-- ˺ź׺
local AccountSuffix = "@zf99"

local function GetAccountSuffix(default)
    if AccountSuffix == nil then
        return default
    end
    
    return AccountSuffix
end

-- ͷڴ
local function Unload()
	AccountSuffix = nil
	T_DlgInfo = nil
	T_RebateInfo = nil
        MissionIni = nil
	RebateProInfo = nil
end

-- ͨrequireLuaűʹ
local Info = {
    GetAccountSuffix = GetAccountSuffix,
    GetDlgInfo = GetDlgInfo,
    GetRotateAngle = GetRotateAngle,
    GetRebateProInfo = GetRebateProInfo,
 	GetRebateInfo = GetRebateInfo,
	GetRebateRefreshCost = GetRebateRefreshCost,
    GetMissionIni = GetMissionIni,
	IsNeedCheckLook = IsNeedCheckLook,
    Unload = Unload,
}

-- C++ʹõglobal
Info_GetAccountSuffix = Info.GetAccountSuffix
Info_GetDlgInfo = Info.GetDlgInfo
Info_GetRotateAngle = Info.GetRotateAngle
Info_GetRebateProInfo = Info.GetRebateProInfo
Info_GetRebateInfo = Info.GetRebateInfo
Info_GetRebateRefreshCost = Info.GetRebateRefreshCost
Info_GetMissionIni = Info.GetMissionIni
Info_IsNeedCheckLook = Info.IsNeedCheckLook
Info_Unload = Info.Unload

-- requireֵ
return Info